News
News sources
GET
Every news source OpenGrid reads, with its health.
bearerheader
AuthorizationBearer <token>Your API key: Authorization: Bearer opg_live_...
limit?LimitRange
1 <= value <= 1000Default
100cursor?string|nullOpenGrid-Version?"2026-11-03"The API version to shape the response for. Default: the version pinned to your key.
Value in
"2026-11-03"Success
application/json- response
data*array<>meta*Present on every success. List routes add limit, next_cursor (null on the last page) and total.
curl -X GET 'https://data.tryopengrid.com/v1/news/sources'Example Response
{ "data": [ { "avg_fetch_ms_24h": null, "backfilled_items": 0, "category": "string", "conditional_get": true, "consecutive_failures": 0, "day_dates": true, "enabled": true, "entity_hints": { "provider": "string", "provider_name": "string", "vendor": "string" }, "fetches_24h": 0, "health": "string", "id": "string", "items_stored": 0, "key": "string", "kind": "string", "last_error": null, "last_fetched_at": null, "last_ok_at": null, "name": "string", "new_items_24h": 0, "newest_item_at": null, "note": "string", "ok_fetches_24h": 0, "oldest_dated_item_at": null, "poll_seconds": 0, "topics": [ "string" ], "trust_tier": "string", "url": "string" } ], "meta": { "as_of": "2019-08-24T14:15:22Z", "api_version": "string", "request_id": "string", "next_cursor": "string", "limit": 0, "total": 0 }}